pcl::detail Namespace Reference

## Classes

struct | AccumulatorCurvature
struct | AccumulatorIntensity
struct | AccumulatorLabel
struct | AccumulatorNormal
struct | AccumulatorRGBA
struct | Accumulators
struct | AccumulatorXYZ
struct | AddPoint
struct | CopyPointHelper
struct | CopyPointHelper< PointInT, PointOutT, typename boost::enable_if< boost::is_same< PointInT, PointOutT > >::type >

struct

CopyPointHelper< PointInT, PointOutT, typename boost::enable_if< boost::mpl::and_< boost::mpl::not_< boost::is_same< PointInT, PointOutT > >, boost::mpl::or_< boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgb >, pcl::traits::has_field< PointOutT, pcl::fields::rgba > >, boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgba >, pcl::traits::has_field< PointOutT, pcl::fields::rgb > > > > >::type >

struct

CopyPointHelper< PointInT, PointOutT, typename boost::enable_if< boost::mpl::and_< boost::mpl::not_< boost::is_same< PointInT, PointOutT > >, boost::mpl::or_< boost::mpl::not_< pcl::traits::has_color< PointInT > >, boost::mpl::not_< pcl::traits::has_color< PointOutT > >, boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgb >, pcl::traits::has_field< PointOutT, pcl::fields::rgb > >, boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgba >, pcl::traits::has_field< PointOutT, pcl::fields::rgba > > > > >::type >

struct | FieldAdder
struct | FieldMapper
struct | FieldMapping
struct | GetPoint

## Functions

bool | fieldOrdering (const FieldMapping &a, const FieldMapping &b)
template<typename PointT >
boost::shared_ptr< pcl::MsgFieldMap > & | getMapping (pcl::PointCloud< PointT > &p)

## Function Documentation

bool pcl::detail::fieldOrdering | ( | const FieldMapping & | a,
|  | const FieldMapping & | b
| ) |  |

inline

Definition at line 117 of file conversions.h.

References pcl::detail::FieldMapping::serialized_offset.

Referenced by pcl::createMapping().

template<typename PointT >

boost::shared_ptr< pcl::MsgFieldMap > & pcl::detail::getMapping | ( | pcl::PointCloud< PointT > & | p | ) |

Definition at line 595 of file point_cloud.h.

References pcl::PointCloud< PointT >::mapping_.

Referenced by pcl::NdCopyPointEigenFunctor< PointInT >::operator()().